Create user export

Generate a User export

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Added October 2019

Generate a User export. See Analytics Reports API quickstart for more details. All arguments are case-sensitive.

🚧

Important

The following columns are returned only when the export is generated in JSON:

  • TOTAL_CONSOLE_LOGGED_IN_TIME_MILLIS
  • TOTAL_GREEN_STATE_TIME_MILLIS
  • TOTAL_YELLOW_STATE_TIME_MILLIS
  • TOTAL_RED_STATE_TIME_MILLIS
  • TOTAL_MOBILE_TIME_MILLIS

These columns provide time values in milliseconds (datatype String) in order to provide the values in a format that is more convenient for calculations.

👍

Tip

You may also generate a User Export using POST /reports/report/user. POST is the recommended method to use for this endpoint. Note that if you use the POST version of this call, you pass all parameters except for companyKey in the request body.

📘

Note

If passing the agentId query parameter, see Using agentId with teamId.

The workflowId and the runId in the response are unique IDs specific to this export job. The IDs are used by the /reports/report/workflowId/runId/status and /reports/report/workflowId/runId/download endpoints to check the status of an export job and to download it.

Make a GET request to the /reports/report/<workflowId>/<runId>/status endpoint as shown in the statusUrl field to check the status of the job. When the result.runnerState is CLOSED and result.detail is COMPLETED in the response to /reports/report/<workflowId>/<runId>/status, you are ready to run the endpoint in the downloadUrl. An empty value for downloadUrl indicates that the export has not ready.

Make a GET request to the /reports/report/workflowId/runId/download endpoint as shown in the downloadUrl field to download the export locally.

See Define columns to return in an export to learn how to specify a limited set of columns to return in the export.

Query Params
string

The ID of the agent. Use a separate instance of the agentId parameter for each agent to include. Example: ?agentId=1&agent=2&agentId=3.

string
required

The company key found in Account Admin > General Settings > Analytics API Settings.

string
required

(Required) The end time in epoch milliseconds. This value will not be adjusted. includeDisabled

boolean
Defaults to false

Whether or not to include disabled agents in the report

string

The locale to use for the export. Supported values: en, es, fr, de, tr

string

Added December 2018. Use reportMetrics to return specific metrics (columns) in the export. You can use this to return a subset of metrics and also to return metrics currently disabled for your company. Use a separate reportMetrics query parameter for each metric desired.

Example: reportMetrics=agent_name&reportMetrics=agent_email&reportMetrics=agent_id

string
Defaults to json

The format of the export. Possible values: json or csv. Default is json.

Prior to the February 2019 release, only the Agent State Export, Raw Brand Post Export, Raw Expert Help Request, Raw Response, Raw Team Performance, and Team Performance Interval reports were available in JSON format.

string
required

(Required) The start time in epoch milliseconds. This value will not be adjusted.

string

The ID of the team used to filter the report. Find the team ID with the /teams endpoint. Example: ?teamId=1&teamId=2&teamId=3

Response

Language
LoadingLoading…
Response
Choose an example:
application/json